----------------------------------------------------------------------
-                                                                    -
-                             RLINE_mpi                              -
-                                                                    -
----------------------------------------------------------------------

~~~~~~~~~~~~~~~~~~~~~~~~~ WORK IN PROGRESS ~~~~~~~~~~~~~~~~~~~~~~~~~~~


This is a parallelized version of R-LINE v1.2, that includes 4 different
programs:


- Parallelization by source (works with 1 source group)
- Parallelization by indq (works with several source groups). [Future work:
  the matrix linking the indexes for group, source and source inside the
  group is computed for all processors. It would be better if it is
  computed in one processor and passed over to all of them].
- Parallelization by receptor
- Parallelization by meteorology step.


Using this version of RLINE, the computation of the example set by the
authors (modified to be only 1 group of sources with 8 sources), in a 
receptor grid of 196 points, improves the computation time from 5.1 s
to 2.8 s using 2 processors in a source parallelization [uncertainties 
in the computation time: future work].

Remember to execute the program using 
   >>> mpirun -np #processors ./executable
For example:
   >>> mpirun -np 2 ./RLINE_MPI_EXECUTABLE_mpi_rcp.x
   

In this version, just the necessary steps to run de parallelization
are done. In the next version, some modifications will be added and
some corrections to the code will be made in order to speed up the 
process even more [hopefully].
